Get a list of recognized transactions
curl --request GET \
--url https://api.example.com/api/banking/recognized \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/banking/recognized"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/banking/recognized', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total": 100,
"page": 1,
"pageSize": 10
},
"data": [
{
"uncategorizedTransactionId": 123,
"referenceNo": "TRX-2024-001",
"description": "Payment for invoice #123",
"payee": "John Doe",
"amount": 1500.75,
"formattedAmount": "$1,500.75",
"date": "2024-04-01",
"formattedDate": "Apr 1, 2024",
"assignedAccountId": 10,
"assignedAccountName": "Bank Account",
"assignedAccountCode": "1001",
"assignedPayee": "Jane Smith",
"assignedMemo": "Office supplies",
"assignedCategory": "Office Expenses",
"assignedCategoryFormatted": "Other Income",
"withdrawal": 500,
"deposit": 1000,
"isDepositTransaction": true,
"isWithdrawalTransaction": false,
"formattedDepositAmount": "$1,000.00",
"formattedWithdrawalAmount": "$500.00",
"bankRuleId": "BR-001",
"bankRuleName": "Salary Rule"
}
]
}Banking Recognized Transactions
Get a list of recognized transactions
GET
/
api
/
banking
/
recognized
Get a list of recognized transactions
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
⌘I